aboutsummaryrefslogtreecommitdiffstats
path: root/repo/features
diff options
context:
space:
mode:
authorrssaravana <saravanakumar.somaskandan@huawei.com>2017-02-17 16:44:25 +0530
committerYifei Xue <xueyifei@huawei.com>2017-03-16 09:36:57 +0800
commit8da5888adfc919b20807f0783e1ae841fac4244e (patch)
tree71586489c05a36636e85b7770353b373838cadfe /repo/features
parentf80d7239a4d0caba934f14dcb541dff387539378 (diff)
onos 1.8 upgradation for danube
Change-Id: I6242b9fc09749ca83f446ef5456eaad72f248012 Signed-off-by: rssaravana <saravanakumar.somaskandan@huawei.com>
Diffstat (limited to 'repo/features')
-rw-r--r--repo/features/scripts/download_onos.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/repo/features/scripts/download_onos.sh b/repo/features/scripts/download_onos.sh
new file mode 100644
index 00000000..8cd1f0d4
--- /dev/null
+++ b/repo/features/scripts/download_onos.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+##############################################################################
+# Copyright (c) 2016 HUAWEI TECHNOLOGIES CO.,LTD and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+set -ex
+
+TIMEOUT=10
+
+for i in REPLACE_ONOS_PKG; do
+ mkdir -p /pkg/onos
+ curl --connect-timeout $TIMEOUT -Lo /pkg/onos/${i##*/} $i
+done